<?php
namespace App\Models;
use Illuminate\Database\Eloquent\Model;

class CourseSession extends Model {
    protected $fillable = ['course_id','title','order'];
    public function course(){ return $this->belongsTo(Course::class); }
    public function videos(){ return $this->hasMany(SessionVideo::class,'session_id')->orderBy('order'); }
}